<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SourceFile/SourceFile.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SourceFile.SourceFile</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../SourceFile.html" >SourceFile</a>
</div><div class="class-name">class SourceFile

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SourceFile.py.html" target="detail">../Synopsis/SourceFile.py</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.SourceFile" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line44" ><img src="../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">The information about a file that the ASG was generated from.
    Contains filename&#44; all declarations from this file &#40;even nested ones&#41; and
    includes &#40;aka imports&#41; from this file.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#name" >name</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line52" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The filename.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#abs_name" >abs_name</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line54" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The absolute filename.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#annotations" >annotations</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line56" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Dictionary with file annotations.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#includes" >includes</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line58" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of includes this file contains.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#declarations" >declarations</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line60" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of declarations this file contains.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="SourceFile.html#macro_calls" >macro_calls</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line62" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of macro calls this file contains.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SourceFile.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">abs_name</span>, <span class="variable">language</span>, <span class="variable">primary</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.SourceFile.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line49" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line52" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The filename.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="abs_name">abs_name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line54" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The absolute filename.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="annotations">annotations</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line56" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Dictionary with file annotations.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="includes">includes</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line58" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of includes this file contains.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="declarations">declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line60" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of declarations this file contains.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="macro_calls">macro_calls</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line62" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">List of macro calls this file contains.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">abs_name</span>, <span class="variable">language</span>, <span class="variable">primary</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.SourceFile.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line49" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Constructor</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
